Subject: bug#49632: [PATCH] Ensure that M-x gdb populates gud-repeat-map

From: Brian Leung <[email-masked]>
Date: Mon, 19 Jul 2021 16:57:11 +0200 (CEST)

> I admit I don't understand the rationale for the patch at all.
> "M-x gdb" already repeats these commands when you type just RET
> into the interaction buffer, so what exactly does this change
> do, and how can I see its effect?

RET can repeat only the last command (afaik). If instead I want to run, in order:

1. continue
2. next
3. next
4. stepi

then without this patch, I would need to press

1. C-x C-a C-r
2. C-x C-a C-n
3. C-x C-a C-n
4. C-x C-a C-i

if using M-x gdb.

With the patch, I can press:

1. C-x C-a C-r
2. n
3. n
4. i

since the new repeat-mode defines the appropriate repeat map.

> ----------------------------------------
> From: Eli Zaretskii <[email-masked]>
> Sent: Mon Jul 19 15:13:52 CEST 2021
> To: Lars Ingebrigtsen <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>
> Subject: Re: bug#49632: [PATCH] Ensure that M-x gdb populates gud-repeat-map
> 
> 
> > From: Lars Ingebrigtsen <[email-masked]>
> > Date: Mon, 19 Jul 2021 15:06:31 +0200
> > Cc: [email-masked], Juri Linkov <[email-masked]>
> > 
> > Brian Leung <[email-masked]> writes:
> > 
> > > * lisp/progmodes/gdb-mi.el (gdb): Populate gud-repeat-map. This is
> > > copied from the gud-gdb command.
> > 
> > Instead of copying the code, perhaps it should be separated out into its
> > own function and then called from both places?
> > 
> > But I don't quite understand why gud-repeat-map is populated in the
> > normal way -- i.e., in `gud-repeat-map' so that users can
> > redefine/override entries as usual.
> 
> I admit I don't understand the rationale for the patch at all.
> "M-x gdb" already repeats these commands when you type just RET
> into the interaction buffer, so what exactly does this change
> do, and how can I see its effect?

-- 
Sent with https://mailfence.com
Secure and private email

-- 
Mailfence.com
Private and secure email